<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/id_bg_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:adjustViewBounds="true"
        android:src="@drawable/login_top_bg" />

    <ImageView
        android:id="@+id/id_activity_login_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="48dp"
        android:padding="16dp"
        android:src="@drawable/icon_close_login"
        android:visibility="invisible" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignTop="@+id/id_activity_login_close"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="16dp"
        android:text="注册登录"
        android:textColor="#F4E9C9"
        android:textSize="16sp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/id_activity_login_close"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="36dp"
        android:layout_marginRight="16dp"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="您好，"
            android:textColor="#F4E9C9"
            android:textSize="20sp"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:text="欢迎打开同趣"
            android:textColor="#F4E9C9"
            android:textSize="16sp" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/id_activity_login_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/id_bg_top"
        android:layout_marginTop="-16dp"
        android:background="@drawable/shape_ffffff_r20_half"
        android:visibility="visible">

        <TextView
            android:id="@+id/id_activity_login_tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="登录"
            android:textColor="@color/color_333333"
            android:textSize="30sp"
            android:textStyle="bold"
            android:visibility="gone" />

        <TextView
            android:id="@+id/id_activity_login_tips1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_activity_login_tips"
            android:layout_marginTop="5dp"
            android:text="输入手机号码验证后即可登录"
            android:textColor="#BBBBBB"
            android:textSize="15sp"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/id_activity_login_edit_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_activity_login_tips1"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:text="手机号"
                android:textColor="@color/color_333333"
                android:textSize="16sp"
                android:textStyle="bold" />

            <LinearLayout
                android:id="@+id/id_activity_login_phone_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/id_activity_login_edit_phone"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@null"
                    android:ellipsize="end"
                    android:ems="11"
                    android:hint="请输入手机号码"
                    android:inputType="phone"
                    android:maxLength="11"
                    android:maxLines="1"
                    android:padding="16dp"
                    android:saveEnabled="false"
                    android:scrollHorizontally="true"
                    android:singleLine="true"
                    android:textColor="@color/color_333333"
                    android:textColorHint="@color/color_999999"
                    android:textCursorDrawable="@null"
                    android:textSize="16sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:background="#E4E4E4" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="20dp"
                android:text="验证码"
                android:textColor="@color/color_333333"
                android:textSize="16sp" />

            <LinearLayout
                android:id="@+id/id_activity_login_code_layout"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">


                <EditText
                    android:id="@+id/id_activity_login_edit_code"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@null"
                    android:ellipsize="end"
                    android:ems="11"
                    android:hint="请输入验证码"
                    android:inputType="phone"
                    android:maxLength="4"
                    android:maxLines="1"
                    android:padding="16dp"
                    android:saveEnabled="false"
                    android:scrollHorizontally="true"
                    android:singleLine="true"
                    android:textColor="@color/color_333333"
                    android:textColorHint="@color/color_999999"
                    android:textCursorDrawable="@null"
                    android:textSize="16sp" />

                <View
                    android:id="@+id/id_activity_login_edit_phone_line"
                    android:layout_width="0.5dp"
                    android:layout_height="12dp"
                    android:background="@color/white"
                    android:visibility="invisible" />

                <TextView
                    android:id="@+id/id_activity_login_edit_phone_getcode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="16dp"
                    android:background="@drawable/shape_b287a17_r15_stoke"
                    android:gravity="center"
                    android:paddingLeft="15dp"
                    android:paddingTop="5dp"
                    android:paddingRight="15dp"
                    android:paddingBottom="5dp"
                    android:text="获取验证码"
                    android:textColor="#B28A17"
                    android:textSize="12sp" />

            </LinearLayout>

            <View
                android:id="@+id/id_activity_login_code_line"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:background="#E4E4E4" />

            <LinearLayout
                android:id="@+id/id_activity_login_password_layout"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="25dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:visibility="gone">


                <EditText
                    android:id="@+id/id_activity_login_edit_password"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_toLeftOf="@+id/id_activity_login_edit_password_show"
                    android:layout_weight="1"
                    android:background="@null"
                    android:ellipsize="end"
                    android:hint="请输入密码"
                    android:maxLength="20"
                    android:maxLines="1"
                    android:padding="10dp"
                    android:saveEnabled="false"
                    android:scrollHorizontally="true"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:textColorHint="@color/color_99ffffff"
                    android:textSize="15sp" />

                <ImageView
                    android:id="@+id/id_activity_login_edit_password_show"
                    android:layout_width="18dp"
                    android:layout_height="12dp"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@+id/id_activity_login_password_line" />

                <View
                    android:id="@+id/id_activity_login_edit_password_line"
                    android:layout_width="0.5dp"
                    android:layout_height="12dp"
                    android:layout_marginLeft="10dp"
                    android:background="@color/white" />

                <TextView
                    android:id="@+id/id_activity_login_forget"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10dp"
                    android:gravity="center"
                    android:text="忘记密码"
                    android:textColor="@color/color_99ffffff"
                    android:textSize="15sp" />

            </LinearLayout>

            <View
                android:id="@+id/id_activity_login_password_line"
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/white"
                android:visibility="gone" />

        </LinearLayout>

        <TextView
            android:id="@+id/id_activity_login_btn"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_below="@+id/id_activity_login_edit_layout"
            android:layout_centerHorizontal="true"
            android:layout_marginLeft="30dp"
            android:layout_marginTop="50dp"
            android:layout_marginRight="30dp"
            android:background="@drawable/shape_333333_r20"
            android:gravity="center"
            android:text="登录"
            android:textColor="#F4E9C9"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/id_activity_login_switch_type"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_activity_login_btn"
            android:layout_centerHorizontal="true"
            android:layout_marginLeft="33dp"
            android:layout_marginTop="25dp"
            android:layout_marginRight="33dp"
            android:gravity="center"
            android:text="密码登录"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/id_activity_login_switch_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_activity_login_switch_type"
            android:layout_marginTop="30dp"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:visibility="gone">


            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/id_activity_other_type_lable"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:text="其他方式登陆"
                    android:textColor="@color/white"
                    android:textSize="16sp" />

                <View
                    android:layout_width="40dp"
                    android:layout_height="1dp"
                    android:layout_centerVertical="true"
                    android:layout_toLeftOf="@+id/id_activity_other_type_lable"
                    android:background="@color/white" />

                <View
                    android:layout_width="40dp"
                    android:layout_height="1dp"
                    android:layout_centerVertical="true"
                    android:layout_toRightOf="@+id/id_activity_other_type_lable"
                    android:background="@color/white" />

            </RelativeLayout>


        </LinearLayout>


    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="30dp"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            android:text="未注册手机验证后将自动注册"
            android:textColor="@color/color_999999"
            android:textSize="11sp" />

        <LinearLayout
            android:id="@+id/id_ll_agree"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp"
            android:gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/id_img_agree"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/icon_weigouxuan" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="2dp"
                android:text="登录或注册即代表你同意"
                android:textColor="@color/color_999999"
                android:textSize="11sp" />

            <TextView
                android:id="@+id/id_tv_yonghu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="《同趣用户协议》"
                android:textColor="#B28A17"
                android:textSize="11sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="及"
                android:textColor="@color/color_999999"
                android:textSize="11sp" />

            <TextView
                android:id="@+id/id_tv_yinsi"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="《同趣隐私政策》"
                android:textColor="#B28A17"
                android:textSize="11sp" />
        </LinearLayout>

    </LinearLayout>

</RelativeLayout>